void Ebench()
{
//   This macro plots the results of the Event test program
//   run on a PC PentiumPro/200Mhz 

   char *slide="Ebench";
   InitCanvas(slide);

   TLine *line = new TLine();
   line->SetLineWidth(2);
   TText *text = new TText();
   text->SetTextFont(72);
   text->SetTextColor(1);
   text->SetTextAlign(12);
   text->SetTextSize(0.055);

   TPad *doc = new TPad("doc","Benchmark explanations",0.01,0.56,0.99,0.99);
   doc->Draw();
   doc->cd();
   title = new TPaveText(.2,.85,.8,.98);
   title->SetFillColor(42);
   title->Draw();
   title->AddText("ROOT Input/Output benchmarks");

   text->DrawText(.05,.8,"The following benchmark was run on a PentiumPro/200Mhz under Linux");
   info = new TPaveText(.01,.04,.99,.75);
   info->Draw();
   info->SetTextAlign(12);
   info->AddText("The ROOT (version 1.00/07) test program Event was used to write the file.");   
   info->AddText("Reading is always via the interpreter (macros eventa and eventb).");   
   info->AddText("comp = 0 : no compression at all.");   
   info->AddText("comp = 1 : if split=0 compress everything.");   
   info->AddText("comp = 1 : if split=1 compress only branches with integers.");   
   info->AddText("comp = 2 : if split=1 compress everything.");   
   info->AddText("split = 0: the full event is serialized in one single buffer.");   
   info->AddText("split = 1: Event is split into branches (including the TClonesArray).");   
   info->AddText("Effective time = Total time - time spent in random number generator.");   
   info->AddText("Read Sample = events with less than 585 tracks");
   c1->cd();
   TPad *table = new TPad("table","Benchmark table",0.01,0.01,0.99,0.55);
   table->Draw();
   table->cd();
   table->Divide(6,6,0.0001,0.0001,19);

//    Draw left column titles
   text->SetTextFont(62);
   text->SetTextColor(1);
   text->SetTextSize(0.19);
   text->SetTextAlign(21);
   TPad *table_1 = (TPad*)table->GetPrimitive("table_1");
   TPad *table_2 = (TPad*)table->GetPrimitive("table_2");
   TPad *table_3 = (TPad*)table->GetPrimitive("table_3");
   TPad *table_4 = (TPad*)table->GetPrimitive("table_4");
   TPad *table_5 = (TPad*)table->GetPrimitive("table_5");
   TPad *table_6 = (TPad*)table->GetPrimitive("table_6");
   TPad *table_7 = (TPad*)table->GetPrimitive("table_7");
   TPad *table_8 = (TPad*)table->GetPrimitive("table_8");
   TPad *table_9 = (TPad*)table->GetPrimitive("table_9");
   TPad *table_10 = (TPad*)table->GetPrimitive("table_10");
   TPad *table_11 = (TPad*)table->GetPrimitive("table_11");
   TPad *table_12 = (TPad*)table->GetPrimitive("table_12");
   TPad *table_13 = (TPad*)table->GetPrimitive("table_13");
   TPad *table_14 = (TPad*)table->GetPrimitive("table_14");
   TPad *table_15 = (TPad*)table->GetPrimitive("table_15");
   TPad *table_16 = (TPad*)table->GetPrimitive("table_16");
   TPad *table_17 = (TPad*)table->GetPrimitive("table_17");
   TPad *table_18 = (TPad*)table->GetPrimitive("table_18");
   TPad *table_19 = (TPad*)table->GetPrimitive("table_19");
   TPad *table_20 = (TPad*)table->GetPrimitive("table_20");
   TPad *table_21 = (TPad*)table->GetPrimitive("table_21");
   TPad *table_22 = (TPad*)table->GetPrimitive("table_22");
   TPad *table_23 = (TPad*)table->GetPrimitive("table_23");
   TPad *table_24 = (TPad*)table->GetPrimitive("table_24");
   TPad *table_25 = (TPad*)table->GetPrimitive("table_25");
   TPad *table_26 = (TPad*)table->GetPrimitive("table_26");
   TPad *table_27 = (TPad*)table->GetPrimitive("table_27");
   TPad *table_28 = (TPad*)table->GetPrimitive("table_28");
   TPad *table_29 = (TPad*)table->GetPrimitive("table_29");
   TPad *table_30 = (TPad*)table->GetPrimitive("table_30");
   TPad *table_31 = (TPad*)table->GetPrimitive("table_31");
   TPad *table_32 = (TPad*)table->GetPrimitive("table_32");
   TPad *table_33 = (TPad*)table->GetPrimitive("table_33");
   TPad *table_34 = (TPad*)table->GetPrimitive("table_34");
   TPad *table_35 = (TPad*)table->GetPrimitive("table_35");
   TPad *table_36 = (TPad*)table->GetPrimitive("table_36");
   table_7->cd();
   table_7->SetFillColor(42);
   text->DrawText(.5,.7,"Comp  = 0");
   text->DrawText(.5,.3,"Split = 0");

   table_13->cd();
   table_13->SetFillColor(42);
   text->DrawText(.5,.7,"Comp  = 0");
   text->DrawText(.5,.3,"Split = 1");

   table_19->cd();
   table_19->SetFillColor(42);
   text->DrawText(.5,.7,"Comp  = 1");
   text->DrawText(.5,.3,"Split = 1");

   table_25->cd();
   table_25->SetFillColor(42);
   text->DrawText(.5,.7,"Comp  = 1");
   text->DrawText(.5,.3,"Split = 0");

   table_31->cd();
   table_31->SetFillColor(42);
   text->DrawText(.5,.7,"Comp  = 2");
   text->DrawText(.5,.3,"Split = 1");


//    Draw top text
   text->SetTextAlign(22);
   table_1->cd();
   table_1->SetFillColor(42);
   text->DrawText(.5,.6,"Event");
   text->DrawText(.5,.4,"Parameters");

   table_2->cd();
   table_2->SetFillColor(42);
   text->DrawText(.5,.6,"File Size");
   text->DrawText(.5,.4,"(Comp. factor)");

   table_3->cd();
   table_3->SetFillColor(42);
   text->DrawText(.5,.7,"Total time");
   text->DrawText(.5,.5,"to write");
   text->DrawText(.5,.3,"(Mbytes/s)");

   table_4->cd();
   table_4->SetFillColor(42);
   text->DrawText(.5,.7,"Effective time");
   text->DrawText(.5,.5,"to write");
   text->DrawText(.5,.3,"(Mbytes/s)");

   table_5->cd();
   table_5->SetFillColor(42);
   text->DrawText(.5,.7,"Total time");
   text->DrawText(.5,.5,"to read All");
   text->DrawText(.5,.3,"(Mbytes/s)");

   table_6->cd();
   table_6->SetFillColor(42);
   text->DrawText(.5,.7,"Total time");
   text->DrawText(.5,.5,"to read Sample");
   text->DrawText(.5,.3,"(Mbytes/s)");

//  Draw comp=0, split=0 columns
   text->SetTextSize(0.21);
   table_8->cd();
   text->DrawText(.5,.7,"487 Mbytes");
   text->DrawText(.5,.3,"(1.0)");

   table_9->cd();
   text->DrawText(.5,.7,"199s");
   text->DrawText(.5,.3,"(2.44 MB/s)");

   table_10->cd();
   text->DrawText(.5,.7,"74s");
   text->DrawText(.5,.3,"(6.62 MB/s)");

   table_11->cd();
   text->DrawText(.5,.7,"79s");
   text->DrawText(.5,.3,"(6.17 MB/s)");

   table_12->cd();
   text->DrawText(.5,.5,"not possible");

//  Draw comp=0, split=1 columns
   table_14->cd();
   text->DrawText(.5,.7,"471.5 Mbytes");
   text->DrawText(.5,.3,"(1.0)");

   table_15->cd();
   text->DrawText(.5,.7,"212s");
   text->DrawText(.5,.3,"(2.12 MB/s)");

   table_16->cd();
   text->DrawText(.5,.7,"87.5s");
   text->DrawText(.5,.3,"(5.39 MB/s)");

   table_17->cd();
   text->DrawText(.5,.7,"84s");
   text->DrawText(.5,.3,"(5.38 MB/s)");

   table_18->cd();
   text->DrawText(.5,.7,"14s");
   text->DrawText(.5,.3,"(31.77 MB/s)");


//  Draw comp=1, split=1 columns
   table_20->cd();
   text->DrawText(.5,.7,"368.5 Mbytes");
   text->DrawText(.5,.3,"(1.30)");

   table_21->cd();
   text->DrawText(.5,.7,"250s");
   text->DrawText(.5,.3,"(1.81 MB/s)");

   table_22->cd();
   text->DrawText(.5,.7,"125s");
   text->DrawText(.5,.3,"(3.78 MB/s)");

   table_23->cd();
   text->DrawText(.5,.7,"87s");
   text->DrawText(.5,.3,"(5.19 MB/s)");

   table_24->cd();
   text->DrawText(.5,.7,"16.9s");
   text->DrawText(.5,.3,"(26.3 MB/s)");


//  Draw comp=1, split=0 columns
   table_26->cd();
   text->DrawText(.5,.7,"320 Mbytes");
   text->DrawText(.5,.3,"(1.52)");

   table_27->cd();
   text->DrawText(.5,.7,"670s");
   text->DrawText(.5,.3,"(0.72 MB/s)");

   table_28->cd();
   text->DrawText(.5,.7,"545s");
   text->DrawText(.5,.3,"(0.89 MB/s)");

   table_29->cd();
   text->DrawText(.5,.7,"171s");
   text->DrawText(.5,.3,"(2.84 MB/s)");

   table_30->cd();
   text->DrawText(.5,.5,"not possible");

//  Draw comp=2, split=1 columns
   table_32->cd();
   text->DrawText(.5,.7,"272 Mbytes");
   text->DrawText(.5,.3,"(1.73)");

   table_33->cd();
   text->DrawText(.5,.7,"654s");
   text->DrawText(.5,.3,"(0.69 MB/s)");

   table_34->cd();
   text->DrawText(.5,.7,"529s");
   text->DrawText(.5,.3,"(0.89 MB/s)");

   table_35->cd();
   text->DrawText(.5,.7,"162s");
   text->DrawText(.5,.3,"(2.78 MB/s)");

   table_36->cd();
   text->DrawText(.5,.7,"42s");
   text->DrawText(.5,.3,"(10.6 MB/s)");

   Signe(slide);
}
