void streamer()
{
//=========Macro describing the ROOT Streamer principle
//======== using the TShape::Streamer

   char *slide="streamer";
   InitCanvas(slide);
   
   ptit = new TPaveLabel(4,22.5,16,23.8,"Example of Streamer function");
   ptit->SetFillColor(31);
   ptit->Draw();

   t = new TText();
   t->SetTextFont(62);
   t->SetTextSize(0.028);

   header = new TPaveText(2,17.5,18,21.5);
   header->SetFillColor(42);
   header->Draw();

   t->DrawText(2.5,20.8,"class TShape: public TNamed, public TAttLine, public TAttFill");
   t->SetTextColor(2);
   t->DrawText(3,19.8,"Int_t");
   t->DrawText(3,19.0,"Bool_t");
   t->DrawText(3,18.2,"TMaterial");
   t->SetTextColor(6);
   t->DrawText(6,19.8,"fNumber;");
   t->DrawText(6,19.0,"fVisibility;");
   t->DrawText(6,18.2,"*fMaterial");
   t->SetTextColor(4);
   t->DrawText(10,19.8,"//Shape category");
   t->DrawText(10,19.0,"//Visibility flag");
   t->DrawText(10,18.2,"//Pointer to material object");
   t->SetTextColor(6);
   Float_t y  = 16.5;
   Float_t dy = 0.8;
   Float_t xt = 2;

   t->SetTextColor(1);
   t->SetTextSize(0.035);
   t->DrawText(xt,y,"void TShape::Streamer(TBuffer @&buf) {");
   t->SetTextColor(4);
   t->SetTextFont(72);
   t->SetTextSize(0.027);
   y -= dy;     t->DrawText(xt,y,"  // Stream a TShape object");
   y -= 0.6*dy; t->DrawText(xt,y,"  // Code automatically generated by rootcint from Shape.h");
   t->SetTextFont(62);
   t->SetTextSize(0.035);
   t->SetTextColor(1);
   y -= dy; t->DrawText(xt,y,"   if (buf.IsReading()) {");
   t->SetTextColor(6);
   y -= dy; t->DrawText(xt,y,"      Version_t v = buf.ReadVersion();");
   t->SetTextColor(1);
   y -= dy; t->DrawText(xt,y,"      TNamed::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      TAttLine::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      TAttFill::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      buf >> fNumber;");
   y -= dy; t->DrawText(xt,y,"      buf >> fVisibility;");
   y -= dy; t->DrawText(xt,y,"      buf >> fMaterial;");
   y -= dy; t->DrawText(xt,y,"   } else {");
   t->SetTextColor(6);
   y -= dy; t->DrawText(xt,y,"      buf.WriteVersion(TShape::IsA());");
   t->SetTextColor(1);
   y -= dy; t->DrawText(xt,y,"      TNamed::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      TAttLine::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      TAttFill::Streamer(buf);");
   y -= dy; t->DrawText(xt,y,"      buf << fNumber;");
   y -= dy; t->DrawText(xt,y,"      buf << fVisibility;");
   y -= dy; t->DrawText(xt,y,"      buf << fMaterial;");
   y -= dy; t->DrawText(xt,y,"   }");
   y -= dy; t->DrawText(xt,y,"}");

   arrow = new TArrow();
   arrow->SetLineWidth(12);
   arrow->SetLineColor(6);
   arrow->SetFillColor(6);
   arrow->DrawArrow(15,11,12.5,8,0.02,"|>");
   arrow->DrawArrow(15,11,12.5,13.3,0.02,"|>");
   pevol = new TPaveText(12,10,18,12);
   pevol->SetFillColor(17);
   pevol->Draw();
   pevol->AddText("To take into account");
   pevol->AddText("Schema evolution");

   Signe(slide);
}
    
